/**
***     Copyright (C) 2010 - 2010 Sophia Cradle Incorporated.
***     All rights reserved.
***
***     This source code was written by HORIGUCHI Junshi,
***                                 YAMADA Naoaki.
***
***     Project         : SophiaFramework
***     Codename        : Graviton
***     Platform        : x86, ARM
***     OS              : BREW 2.0, BREW 2.1, BREW 3.1, BREW 4.0
***     Compiler        : Visual C++ 6.0, Visual C++ .NET 2003, Visual C++ 2005,
***                       ADS 1.2, RVCTB 1.2, RVCTB 3.0,
***                       GNUARM 4.1.1, YAGARTO 4.4.2
***     Package         : General Utility Package
***     File            : SFXBaseEditor.h.hpp
**/

#ifndef __SOPHIAFRAMEWORK_SFXBASEEDITOR_HHPP
#define __SOPHIAFRAMEWORK_SFXBASEEDITOR_HHPP

#include <SFXGeneral/SFXEnvironment.h.hpp>
#include <SFXGeneral/SFXBaseEditor.f.hpp>
#include <SFCCore/SFCApplication.h.hpp>
#include <SFXGeneral/SFXEditProperty.f.hpp>

class SFXBaseEditor {
    public:
        typedef Void                            (*CallbackSPP)                  (SFCError error, VoidPtr reference);
        SFMTYPEDEFTYPE(CallbackSPP)

    private:
                AEECLSID                        _textClassId;
                AEECLSID                        _menuClassId;
    public:
        explicit                                SFXBaseEditor                   (Void);
        virtual                                 ~SFXBaseEditor                  (Void);
                Void                            SetSFBTextCtlClassID            (AEECLSID param);
                AEECLSID                        GetSFBTextCtlClassID            (Void) const;
                Void                            SetSFBMenuCtlClassID            (AEECLSID param);
                AEECLSID                        GetSFBMenuCtlClassID            (Void) const;
        virtual SFCError                        Open                            (SFXEditPropertyPtr property, CallbackSPP spp, VoidPtr reference);
    protected:
        static  SFCError                        RegisterBypass                  (SFCApplication::CallbackSPP spp, VoidPtr reference);
        static  Void                            UnregisterBypass                (SFCApplication::CallbackSPP spp, VoidPtr reference);
};

#define     XALLBACK_DECLARE_SFXEDITOR(FUNCTION) \
static Void XALLBACK_FUNCTION(FUNCTION)(SFCError error, VoidPtr reference); \
Void FUNCTION(SFCError error);

#include <SFXGeneral/SFXBaseEditor.i.hpp>

#endif // __SOPHIAFRAMEWORK_SFXBASEEDITOR_HHPP //
