/**
***     Copyright (C) 2010 - 2010 Sophia Cradle Incorporated.
***     All rights reserved.
***
***     This source code was written by HORIGUCHI Junshi,
***                                 YAMADA Naoaki.
***
***     Project         : SophiaFramework
***     Codename        : Graviton
***     Platform        : x86, ARM
***     OS              : BREW 2.0, BREW 2.1, BREW 3.1, BREW 4.0
***     Compiler        : Visual C++ 6.0, Visual C++ .NET 2003, Visual C++ 2005,
***                       ADS 1.2, RVCTB 1.2, RVCTB 3.0,
***                       GNUARM 4.1.1, YAGARTO 4.4.2
***     Package         : General Utility Package
***     File            : SFXBaseEditor.i.hpp
**/

#ifndef __SOPHIAFRAMEWORK_SFXBASEEDITOR_IHPP
#define __SOPHIAFRAMEWORK_SFXBASEEDITOR_IHPP

#include <SFXGeneral/SFXEnvironment.h.hpp>
#include <SFXGeneral/SFXEvent/SFXEventBypass.h.hpp>

/*public */inline Void SFXBaseEditor::SetSFBTextCtlClassID(AEECLSID param)
{
    _textClassId = param;
    return;
}// SFXBaseEditor::SetSFBTextCtlClassID //

/*public */inline AEECLSID SFXBaseEditor::GetSFBTextCtlClassID(Void) const
{
    return _textClassId;
}// SFXBaseEditor::GetSFBTextCtlClassID //

/*public */inline Void SFXBaseEditor::SetSFBMenuCtlClassID(AEECLSID param)
{
    _menuClassId = param;
    return;
}// SFXBaseEditor::SetSFBMenuCtlClassID //

/*public */inline AEECLSID SFXBaseEditor::GetSFBMenuCtlClassID(Void) const
{
    return _menuClassId;
}// SFXBaseEditor::GetSFBMenuCtlClassID //

/*protected static*/inline SFCError SFXBaseEditor::RegisterBypass(SFCApplication::CallbackSPP spp, VoidPtr reference)
{
    return SFXEventBypass::Register(spp, reference);
}// SFXBaseEditor::RegisterBypass //

/*protected static*/inline Void SFXBaseEditor::UnregisterBypass(SFCApplication::CallbackSPP spp, VoidPtr reference)
{
    SFXEventBypass::Unregister(spp, reference);
    return;
}// SFXBaseEditor::UnregisterBypass //

#define     XALLBACK_IMPLEMENT_SFXEDITOR(TYPE, FUNCTION, ERROR) \
Void XALLBACK_FUNCTION(TYPE::FUNCTION)(SFCError error, VoidPtr reference) \
{ \
    static_cast<TYPE*>(reference)->FUNCTION(error); \
    return; \
} \
\
Void TYPE::FUNCTION(SFCError ERROR)

#endif // __SOPHIAFRAMEWORK_SFXBASEEDITOR_IHPP //
