/**
***     Copyright (C) 2010 - 2010 Sophia Cradle Incorporated.
***     All rights reserved.
***
***     This source code was written by YAMADA Naoaki.
***
***     Project         : SophiaFramework
***     Codename        : Graviton
***     Platform        : x86, ARM
***     OS              : BREW 2.0, BREW 2.1, BREW 3.1, BREW 4.0
***     Compiler        : Visual C++ 6.0, Visual C++ .NET 2003, Visual C++ 2005,
***                       ADS 1.2, RVCTB 1.2, RVCTB 3.0,
***                       GNUARM 4.1.1, YAGARTO 4.4.2
***     Package         : General Utility Package
***     File            : SFXEditProperty.h.hpp
**/

#ifndef __SOPHIAFRAMEWORK_SFXEDITPROPERTY_HHPP
#define __SOPHIAFRAMEWORK_SFXEDITPROPERTY_HHPP

#include <SFXGeneral/SFXEnvironment.h.hpp>
#include <SFXGeneral/SFXEditProperty.f.hpp>
#include <AEEText.h>
#include <SFXString/SFXWideString.h.hpp>

class SFXEditProperty {
    private:
                SFXWideString                   _text;
                UInt16                          _maximum;
                AEETextInputMode                _input;
                Bool                            _password;

    public:
        explicit                                SFXEditProperty                 (Void);
                                                ~SFXEditProperty                (Void);
                SFCError                        SetText                         (SFXWideStringConstRef param);
                SFXWideStringConstRef           GetText                         (Void) const;
                SFCError                        SetMaximumLength                (UInt16 param);
                UInt16                          GetMaximumLength                (Void) const;
                Void                            SetInputMode                    (AEETextInputMode param);
                AEETextInputMode                GetInputMode                    (Void) const;
                Void                            SetPasswordMode                 (Bool param);
                Bool                            GetPasswordMode                 (Void) const;
};

#include <SFXGeneral/SFXEditProperty.i.hpp>

#endif // __SOPHIAFRAMEWORK_SFXEDITPROPERTY_HHPP //
