/**
***     Copyright (C) 2010 - 2010 Sophia Cradle Incorporated.
***     All rights reserved.
***
***     This source code was written by YAMADA Naoaki.
***
***     Project         : SophiaFramework
***     Codename        : Graviton
***     Platform        : x86, ARM
***     OS              : BREW 2.0, BREW 2.1, BREW 3.1, BREW 4.0
***     Compiler        : Visual C++ 6.0, Visual C++ .NET 2003, Visual C++ 2005,
***                       ADS 1.2, RVCTB 1.2, RVCTB 3.0,
***                       GNUARM 4.1.1, YAGARTO 4.4.2
***     Package         : General Utility Package
***     File            : SFXEditProperty.i.hpp
**/

#ifndef __SOPHIAFRAMEWORK_SFXEDITPROPERTY_IHPP
#define __SOPHIAFRAMEWORK_SFXEDITPROPERTY_IHPP

#include <SFXGeneral/SFXEnvironment.h.hpp>

/*public */inline SFXWideStringConstRef SFXEditProperty::GetText(Void) const
{
    return _text;
}// SFXEditProperty::GetText //

/*public */inline UInt16 SFXEditProperty::GetMaximumLength(Void) const
{
    return _maximum;
}// SFXEditProperty::GetMaximumLength //

/*public */inline Void SFXEditProperty::SetInputMode(AEETextInputMode param)
{
    _input = param;
    return;
}// SFXEditProperty::SetInputMode //

/*public */inline AEETextInputMode SFXEditProperty::GetInputMode(Void) const
{
    return _input;
}// SFXEditProperty::GetInputMode //

/*public */inline Void SFXEditProperty::SetPasswordMode(Bool param)
{
    _password = param;
    return;
}// SFXEditProperty::SetPasswordMode //

/*public */inline Bool SFXEditProperty::GetPasswordMode(Void) const
{
    return _password;
}// SFXEditProperty::GetPasswordMode //

#endif // __SOPHIAFRAMEWORK_SFXEDITPROPERTY_IHPP //
