/**
***     Copyright (C) 2008 - 2010 Sophia Cradle Incorporated.
***     All rights reserved.
***
***     This source code was written by HORIGUCHI Junshi.
***
***     Project         : SophiaFramework
***     Codename        : Graviton
***     Platform        : x86, ARM
***     OS              : BREW 2.0, BREW 2.1, BREW 3.1, BREW 4.0
***     Compiler        : Visual C++ 6.0, Visual C++ .NET 2003, Visual C++ 2005,
***                       ADS 1.2, RVCTB 1.2, RVCTB 3.0,
***                       GNUARM 4.1.1, YAGARTO 4.4.2
***     Package         : Graphical User Interface Package
***     File            : SFYSingleEditWidget.i.hpp
**/

#ifndef __SOPHIAFRAMEWORK_SFYSINGLEEDITWIDGET_IHPP
#define __SOPHIAFRAMEWORK_SFYSINGLEEDITWIDGET_IHPP

#include <SFYResponder/SFYEnvironment.h.hpp>

/*public */inline SFXWideStringConstRef SFYSingleEditWidget::GetText(Void) const
{
    return _text;
}// SFYSingleEditWidget::GetText //

/*public */inline SFXSizeConstRef SFYSingleEditWidget::GetTextSize(Void) const
{
    return _widget->GetTextSize();
}// SFYSingleEditWidget::GetTextSize //

/*public */inline Void SFYSingleEditWidget::SetTextColor(SFXRGBColorConstRef param)
{
    _widget->SetTextColor(param);
    return;
}// SFYSingleEditWidget::SetTextColor //

/*public */inline SFXRGBColorConstRef SFYSingleEditWidget::GetTextColor(Void) const
{
    return _widget->GetTextColor();
}// SFYSingleEditWidget::GetTextColor //

/*public */inline Void SFYSingleEditWidget::SetFont(AEEFont param)
{
    _widget->SetFont(param);
    return;
}// SFYSingleEditWidget::SetFont //

/*public */inline AEEFont SFYSingleEditWidget::GetFont(Void) const
{
    return _widget->GetFont();
}// SFYSingleEditWidget::GetFont //

/*public */inline SFXSizeConstRef SFYSingleEditWidget::GetFontSize(Void) const
{
    return _widget->GetFontSize();
}// SFYSingleEditWidget::GetFontSize //

/*public */inline Void SFYSingleEditWidget::SetHorizontalAlign(HorizontalEnum param)
{
    _widget->SetHorizontalAlign(static_cast<SFYSingleTextWidget::HorizontalEnum>(param));
    return;
}// SFYSingleEditWidget::SetHorizontalAlign //

/*public */inline SFYSingleEditWidget::HorizontalEnum SFYSingleEditWidget::GetHorizontalAlign(Void) const
{
    return static_cast<HorizontalEnum>(_widget->GetHorizontalAlign());
}// SFYSingleEditWidget::GetHorizontalAlign //

/*public */inline Void SFYSingleEditWidget::SetVerticalAlign(VerticalEnum param)
{
    _widget->SetVerticalAlign(static_cast<SFYSingleTextWidget::VerticalEnum>(param));
    return;
}// SFYSingleEditWidget::SetVerticalAlign //

/*public */inline SFYSingleEditWidget::VerticalEnum SFYSingleEditWidget::GetVerticalAlign(Void) const
{
    return static_cast<VerticalEnum>(_widget->GetVerticalAlign());
}// SFYSingleEditWidget::GetVerticalAlign //

/*public */inline UInt16 SFYSingleEditWidget::GetMaximumLength(Void) const
{
    return _maximum;
}// SFYSingleEditWidget::GetMaximumLength //

/*public */inline AEETextInputMode SFYSingleEditWidget::GetInputMode(Void) const
{
    return _property.GetInputMode();
}// SFYSingleEditWidget::GetInputMode //

/*public */inline Bool SFYSingleEditWidget::GetPasswordMode(Void) const
{
    return _property.GetPasswordMode();
}// SFYSingleEditWidget::GetPasswordMode //

/*public */inline Void SFYSingleEditWidget::SetWaitInterval(UInt32 param)
{
    _widget->SetWaitInterval(param);
    return;
}// SFYSingleEditWidget::SetWaitInterval //

/*public */inline UInt32 SFYSingleEditWidget::GetWaitInterval(Void) const
{
    return _widget->GetWaitInterval();
}// SFYSingleEditWidget::GetWaitInterval //

/*public */inline Void SFYSingleEditWidget::SetScrollInterval(UInt32 param)
{
    _widget->SetScrollInterval(param);
    return;
}// SFYSingleEditWidget::SetScrollInterval //

/*public */inline UInt32 SFYSingleEditWidget::GetScrollInterval(Void) const
{
    return _widget->GetScrollInterval();
}// SFYSingleEditWidget::GetScrollInterval //

/*public */inline Void SFYSingleEditWidget::SetScrollDirection(DirectionEnum param)
{
    _widget->SetScrollDirection(static_cast<SFYSingleTextWidget::DirectionEnum>(param));
    return;
}// SFYSingleEditWidget::SetScrollDirection //

/*public */inline SFYSingleEditWidget::DirectionEnum SFYSingleEditWidget::GetScrollDirection(Void) const
{
    return static_cast<DirectionEnum>(_widget->GetScrollDirection());
}// SFYSingleEditWidget::GetScrollDirection //

/*public */inline Void SFYSingleEditWidget::SetScrollStep(SInt16 param)
{
    _widget->SetScrollStep(param);
    return;
}// SFYSingleEditWidget::SetScrollStep //

/*public */inline SInt16 SFYSingleEditWidget::GetScrollStep(Void) const
{
    return _widget->GetScrollStep();
}// SFYSingleEditWidget::GetScrollStep //

/*public */inline Void SFYSingleEditWidget::StartScroll(Void)
{
    _widget->StartScroll();
    return;
}// SFYSingleEditWidget::StartScroll //

/*public */inline Void SFYSingleEditWidget::StopScroll(Void)
{
    _widget->StopScroll();
    return;
}// SFYSingleEditWidget::StopScroll //

/*protected */inline SFYSingleTextWidgetSmpConstRef SFYSingleEditWidget::GetWidget(Void) const
{
    return _widget;
}// SFYSingleEditWidget::GetWidget //

//////////////////////////////////////// Will be deprecated in version 6.0 //////////
/*public */inline AEECLSID SFYSingleEditWidget::GetSFBTextCtlClassID(Void) const
{
    return _editor->GetSFBTextCtlClassID();
}// SFYSingleEditWidget::GetSFBTextCtlClassID //

/*public */inline AEECLSID SFYSingleEditWidget::GetSFBMenuCtlClassID(Void) const
{
    return _editor->GetSFBMenuCtlClassID();
}// SFYSingleEditWidget::GetSFBMenuCtlClassID //
/////////////////////////////////////////////////////////////////////////////////////

#endif // __SOPHIAFRAMEWORK_SFYSINGLEEDITWIDGET_IHPP //
