/**
***     Copyright (C) 2007 - 2010 Sophia Cradle Incorporated.
***     All rights reserved.
***
***     This source code was written by HORIGUCHI Junshi.
***
***     Project         : SophiaFramework
***     Codename        : Graviton
***     Platform        : x86, ARM
***     OS              : BREW 2.0, BREW 2.1, BREW 3.1, BREW 4.0
***     Compiler        : Visual C++ 6.0, Visual C++ .NET 2003, Visual C++ 2005,
***                       ADS 1.2, RVCTB 1.2, RVCTB 3.0,
***                       GNUARM 4.1.1, YAGARTO 4.4.2
***     Package         : Graphical User Interface Package
***     File            : SFYSingleTextWidget.i.hpp
**/

#ifndef __SOPHIAFRAMEWORK_SFYSINGLETEXTWIDGET_IHPP
#define __SOPHIAFRAMEWORK_SFYSINGLETEXTWIDGET_IHPP

#include <SFYResponder/SFYEnvironment.h.hpp>

/*public */inline SFXWideStringConstRef SFYSingleTextWidget::GetText(Void) const
{
    return _text;
}// SFYSingleTextWidget::GetText //

/*public */inline SFXSizeConstRef SFYSingleTextWidget::GetTextSize(Void) const
{
    return _bound.GetSize();
}// SFYSingleTextWidget::GetTextSize //

/*public */inline SFXRGBColorConstRef SFYSingleTextWidget::GetTextColor(Void) const
{
    return _color.text;
}// SFYSingleTextWidget::GetTextColor //

/*public */inline AEEFont SFYSingleTextWidget::GetFont(Void) const
{
    return _font;
}// SFYSingleTextWidget::GetFont //

/*public */inline SFXSizeConstRef SFYSingleTextWidget::GetFontSize(Void) const
{
    return _size;
}// SFYSingleTextWidget::GetFontSize //

/*public */inline SFYSingleTextWidget::HorizontalEnum SFYSingleTextWidget::GetHorizontalAlign(Void) const
{
    return _align.horizontal;
}// SFYSingleTextWidget::GetHorizontalAlign //

/*public */inline SFYSingleTextWidget::VerticalEnum SFYSingleTextWidget::GetVerticalAlign(Void) const
{
    return _align.vertical;
}// SFYSingleTextWidget::GetVerticalAlign //

/*public */inline UInt32 SFYSingleTextWidget::GetWaitInterval(Void) const
{
    return _wait;
}// SFYSingleTextWidget::GetWaitInterval //

/*public */inline UInt32 SFYSingleTextWidget::GetScrollInterval(Void) const
{
    return _scroll;
}// SFYSingleTextWidget::GetScrollInterval //

/*public */inline SFYSingleTextWidget::DirectionEnum SFYSingleTextWidget::GetScrollDirection(Void) const
{
    return _direction;
}// SFYSingleTextWidget::GetScrollDirection //

/*public */inline SInt16 SFYSingleTextWidget::GetScrollStep(Void) const
{
    return _step;
}// SFYSingleTextWidget::GetScrollStep //

/*protected */inline SFXGridConstRef SFYSingleTextWidget::GetTextOrigin(Void) const
{
    return _bound.GetOrigin();
}// SFYSingleTextWidget::GetTextOrigin //

/*protected */inline SInt16 SFYSingleTextWidget::GetScrollOffset(Void) const
{
    return _offset;
}// SFYSingleTextWidget::GetScrollOffset //

#endif // __SOPHIAFRAMEWORK_SFYSINGLETEXTWIDGET_IHPP //
