/**
***     Copyright (C) 2008 - 2010 Sophia Cradle Incorporated.
***     All rights reserved.
***
***     This source code was written by HORIGUCHI Junshi.
***
***     Project         : SophiaFramework
***     Codename        : Graviton
***     Platform        : x86, ARM
***     OS              : BREW 2.0, BREW 2.1, BREW 3.1, BREW 4.0
***     Compiler        : Visual C++ 6.0, Visual C++ .NET 2003, Visual C++ 2005,
***                       ADS 1.2, RVCTB 1.2, RVCTB 3.0,
***                       GNUARM 4.1.1, YAGARTO 4.4.2
***     Package         : Graphical User Interface Package
***     File            : SFZSingleEditLabelControl.i.hpp
**/

#ifndef __SOPHIAFRAMEWORK_SFZSINGLEEDITLABELCONTROL_IHPP
#define __SOPHIAFRAMEWORK_SFZSINGLEEDITLABELCONTROL_IHPP

#include <SFYResponder/SFYEnvironment.h.hpp>

/*public */inline SFCError SFZSingleEditLabelControl::SetText(SFXPathConstRef path, UInt16 id)
{
    return _widget->SetText(path, id);
}// SFZSingleEditLabelControl::SetText //

/*public */inline SFCError SFZSingleEditLabelControl::SetText(SFXWideStringConstRef param)
{
    return _widget->SetText(param);
}// SFZSingleEditLabelControl::SetText //

/*public */inline SFXWideStringConstRef SFZSingleEditLabelControl::GetText(Void) const
{
    return _widget->GetText();
}// SFZSingleEditLabelControl::GetText //

/*public */inline Void SFZSingleEditLabelControl::SetTextColor(SFXRGBColorConstRef param)
{
    _widget->SetTextColor(param);
    return;
}// SFZSingleEditLabelControl::SetTextColor //

/*public */inline SFXRGBColorConstRef SFZSingleEditLabelControl::GetTextColor(Void) const
{
    return _widget->GetTextColor();
}// SFZSingleEditLabelControl::GetTextColor //

/*public */inline Void SFZSingleEditLabelControl::SetFont(AEEFont param)
{
    _widget->SetFont(param);
    return;
}// SFZSingleEditLabelControl::SetFont //

/*public */inline AEEFont SFZSingleEditLabelControl::GetFont(Void) const
{
    return _widget->GetFont();
}// SFZSingleEditLabelControl::GetFont //

/*public */inline Void SFZSingleEditLabelControl::SetHorizontalAlign(HorizontalEnum param)
{
    _widget->SetHorizontalAlign(static_cast<SFYSingleEditWidget::HorizontalEnum>(param));
    return;
}// SFZSingleEditLabelControl::SetHorizontalAlign //

/*public */inline SFZSingleEditLabelControl::HorizontalEnum SFZSingleEditLabelControl::GetHorizontalAlign(Void) const
{
    return static_cast<HorizontalEnum>(_widget->GetHorizontalAlign());
}// SFZSingleEditLabelControl::GetHorizontalAlign //

/*public */inline Void SFZSingleEditLabelControl::SetVerticalAlign(VerticalEnum param)
{
    _widget->SetVerticalAlign(static_cast<SFYSingleEditWidget::VerticalEnum>(param));
    return;
}// SFZSingleEditLabelControl::SetVerticalAlign //

/*public */inline SFZSingleEditLabelControl::VerticalEnum SFZSingleEditLabelControl::GetVerticalAlign(Void) const
{
    return static_cast<VerticalEnum>(_widget->GetVerticalAlign());
}// SFZSingleEditLabelControl::GetVerticalAlign //

/*public */inline SFCError SFZSingleEditLabelControl::SetMaximumLength(UInt16 param)
{
    return _widget->SetMaximumLength(param);
}// SFZSingleEditLabelControl::SetMaximumLength //

/*public */inline UInt16 SFZSingleEditLabelControl::GetMaximumLength(Void) const
{
    return _widget->GetMaximumLength();
}// SFZSingleEditLabelControl::GetMaximumLength //

/*public */inline Void SFZSingleEditLabelControl::SetInputMode(AEETextInputMode param)
{
    _widget->SetInputMode(param);
    return;
}// SFZSingleEditLabelControl::SetInputMode //

/*public */inline AEETextInputMode SFZSingleEditLabelControl::GetInputMode(Void) const
{
    return _widget->GetInputMode();
}// SFZSingleEditLabelControl::GetInputMode //

/*public */inline SFCError SFZSingleEditLabelControl::SetPasswordMode(Bool param)
{
    return _widget->SetPasswordMode(param);
}// SFZSingleEditLabelControl::SetPasswordMode //

/*public */inline Bool SFZSingleEditLabelControl::GetPasswordMode(Void) const
{
    return _widget->GetPasswordMode();
}// SFZSingleEditLabelControl::GetPasswordMode //

/*public */inline Void SFZSingleEditLabelControl::SetWaitInterval(UInt32 param)
{
    _widget->SetWaitInterval(param);
    return;
}// SFZSingleEditLabelControl::SetWaitInterval //

/*public */inline UInt32 SFZSingleEditLabelControl::GetWaitInterval(Void) const
{
    return _widget->GetWaitInterval();
}// SFZSingleEditLabelControl::GetWaitInterval //

/*public */inline Void SFZSingleEditLabelControl::SetScrollInterval(UInt32 param)
{
    _widget->SetScrollInterval(param);
    return;
}// SFZSingleEditLabelControl::SetScrollInterval //

/*public */inline UInt32 SFZSingleEditLabelControl::GetScrollInterval(Void) const
{
    return _widget->GetScrollInterval();
}// SFZSingleEditLabelControl::GetScrollInterval //

/*public */inline Void SFZSingleEditLabelControl::SetScrollDirection(DirectionEnum param)
{
    _widget->SetScrollDirection(static_cast<SFYSingleEditWidget::DirectionEnum>(param));
    return;
}// SFZSingleEditLabelControl::SetScrollDirection //

/*public */inline SFZSingleEditLabelControl::DirectionEnum SFZSingleEditLabelControl::GetScrollDirection(Void) const
{
    return static_cast<DirectionEnum>(_widget->GetScrollDirection());
}// SFZSingleEditLabelControl::GetScrollDirection //

/*public */inline Void SFZSingleEditLabelControl::SetScrollStep(SInt16 param)
{
    _widget->SetScrollStep(param);
    return;
}// SFZSingleEditLabelControl::SetScrollStep //

/*public */inline SInt16 SFZSingleEditLabelControl::GetScrollStep(Void) const
{
    return _widget->GetScrollStep();
}// SFZSingleEditLabelControl::GetScrollStep //

/*public */inline Void SFZSingleEditLabelControl::StartScroll(Void)
{
    _widget->StartScroll();
    return;
}// SFZSingleEditLabelControl::StartScroll //

/*public */inline Void SFZSingleEditLabelControl::StopScroll(Void)
{
    _widget->StopScroll();
    return;
}// SFZSingleEditLabelControl::StopScroll //

/*protected */inline SFYSingleEditWidgetSmpConstRef SFZSingleEditLabelControl::GetWidget(Void) const
{
    return _widget;
}// SFZSingleEditLabelControl::GetWidget //

//////////////////////////////////////// Will be deprecated in version 6.0 //////////
/*public */inline Void SFZSingleEditLabelControl::SetSFBTextCtlClassID(AEECLSID param)
{
    _widget->SetSFBTextCtlClassID(param);
    return;
}// SFZSingleEditLabelControl::SetSFBTextCtlClassID //

/*public */inline AEECLSID SFZSingleEditLabelControl::GetSFBTextCtlClassID(Void) const
{
    return _widget->GetSFBTextCtlClassID();
}// SFZSingleEditLabelControl::GetSFBTextCtlClassID //

/*public */inline Void SFZSingleEditLabelControl::SetSFBMenuCtlClassID(AEECLSID param)
{
    _widget->SetSFBMenuCtlClassID(param);
    return;
}// SFZSingleEditLabelControl::SetSFBMenuCtlClassID //

/*public */inline AEECLSID SFZSingleEditLabelControl::GetSFBMenuCtlClassID(Void) const
{
    return _widget->GetSFBMenuCtlClassID();
}// SFZSingleEditLabelControl::GetSFBMenuCtlClassID //
/////////////////////////////////////////////////////////////////////////////////////

#endif // __SOPHIAFRAMEWORK_SFZSINGLEEDITLABELCONTROL_IHPP //
