/**
***     Copyright (C) 2010 - 2010 Sophia Cradle Incorporated.
***     All rights reserved.
***
***     This source code was written by HORIGUCHI Junshi,
***                                 YAMADA Naoaki.
***
***     Project         : SophiaFramework
***     Codename        : Graviton
***     Platform        : x86, ARM
***     OS              : BREW 2.0, BREW 2.1, BREW 3.1, BREW 4.0
***     Compiler        : Visual C++ 6.0, Visual C++ .NET 2003, Visual C++ 2005,
***                       ADS 1.2, RVCTB 1.2, RVCTB 3.0,
***                       GNUARM 4.1.1, YAGARTO 4.4.2
***     Package         : General Utility Package
***     File            : SFXEditProperty.i.cpp
**/

#include <SFXGeneral/SFXEditProperty.h.hpp>

/*public */SFXEditProperty::SFXEditProperty(Void)
{
    _maximum = SINT16_MAXIMUM - 1;
    _input = AEE_TM_CURRENT;
    _password = false;
}// SFXEditProperty::SFXEditProperty //

/*public */SFXEditProperty::~SFXEditProperty(Void)
{
}// SFXEditProperty::~SFXEditProperty //

/*public */SFCError SFXEditProperty::SetText(SFXWideStringConstRef param)
{
    SFCError                                    error(SFERR_NO_ERROR);

    if (!param.Equals(_text)) {
        error = _text.Set(param.Substring(0, _maximum));
    }
    return error;
}// SFXEditProperty::SetText //

/*public */SFCError SFXEditProperty::SetMaximumLength(UInt16 param)
{
    SFCError                                    error(SFERR_NO_ERROR);

    if (param != _maximum) {
        if ((error = _text.Set(_text.Substring(0, param))) == SFERR_NO_ERROR) {
            _maximum = param;
        }
    }
    return error;
}// SFXEditProperty::SetMaximumLength //
