/**
***     Copyright (C) 2010 - 2010 Sophia Cradle Incorporated.
***     All rights reserved.
***
***     This source code was written by YAMADA Naoaki.
***
***     Project         : SophiaFramework
***     Codename        : Graviton
***     Platform        : x86, ARM
***     OS              : BREW 2.0, BREW 2.1, BREW 3.1, BREW 4.0
***     Compiler        : Visual C++ 6.0, Visual C++ .NET 2003, Visual C++ 2005,
***                       ADS 1.2, RVCTB 1.2, RVCTB 3.0,
***                       GNUARM 4.1.1, YAGARTO 4.4.2
***     Package         : General Utility Package
***     File            : SFXEventBypass.i.cpp
**/

#include <SFXGeneral/SFXEvent/SFXEventBypass.h.hpp>

/*public static*/SFCError SFXEventBypass::Register(SFCApplication::CallbackSPP spp, VoidPtr reference)
{
    SFCApplicationPtr                           application;
    SFCError                                    error;

    if ((application = SFCApplication::GetInstance()) != null) {
        error = application->RegisterBypass(spp, reference);
    }
    else {
        error = SFERR_INVALID_STATE;
    }
    return error;
}// SFXEventBypass::Register //

/*public static*/Void SFXEventBypass::Unregister(SFCApplication::CallbackSPP spp, VoidPtr reference)
{
    SFCApplicationPtr                           application;

    if ((application = SFCApplication::GetInstance()) != null) {
        application->UnregisterBypass(spp, reference);
    }
    return;
}// SFXEventBypass::Unregister //
